package com.jg.common;

import lombok.Getter;

/**
 * <p>
 *     REST API 错误码
 * </p>
 *
 * @author lxp
 * @version V1.0
 * @since 2022/7/19  23:53
 */
@Getter
public enum ApiErrorCode implements ErrorCode {
    /**
     * 操作失败
     */
    FAILED(-1, "操作失败"),
    /**
     * 执行成功
     */
    SUCCESS(200, "请求成功"),
    /**
     * 客户端引起的--请求参数格式错误
     */
    ERR_BAD_REQUEST(400, "请求参数格式错误!"),
    /**
     * (未授权) 请求要求身份验证。
     */
    UNAUTHORIZED(401, "权限不足!"),
    /**
     * 客户端引起的--JWT--过期
     */
    ERR_TOKEN_EXPIRED(401, "Token已过期!"),
    /**
     * 客户端引起的--JWT--数据无效
     */
    ERR_TOKEN_MALFORMED(401, "Token解析错误!"),
    /**
     * 服务端引起的--插入数据错误
     */
    ERR_INSERT(500, "插入数据错误"),
    /**
     * 服务端引起的--更新数据错误
     */
    ERR_UPDATE(500, "更新数据错误"),
    /**
     * 服务端引起的--服务器内部错误
     */
    ERR_INTERNAL_SERVER_ERROR(500, "服务器内部错误");

    private final long code;
    private final String message;

    ApiErrorCode(final long code, final String message) {
        this.code = code;
        this.message = message;
    }
}
