package com.jg.common;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *     REST API 请求异常类
 * </p>
 *
 * @author lxp
 * @version V1.0
 * @since 2022/7/20  0:01
 */
@Setter
@Getter
public class ApiException extends RuntimeException {

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = -5885155226898287919L;

    /**
     * 错误码
     */
    private ErrorCode errorCode;

    public ApiException(ErrorCode errorCode) {
        super(errorCode.getMessage());
        this.errorCode = errorCode;
    }

    public ApiException(String message) {
        super(message);
    }

    public ApiException(Throwable cause) {
        super(cause);
    }

    public ApiException(String message, Throwable cause) {
        super(message, cause);
    }

    public ErrorCode getErrorCode() {
        return errorCode;
    }
}
